Package weka.core.pmml.jaxbbindings

# Class ArrayType

java.lang.Object
weka.core.pmml.jaxbbindings.ArrayType

public class ArrayType extends Object

Java class for ArrayType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArrayType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="n" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
           <attribute name="type" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="int"/>
                 <enumeration value="real"/>
                 <enumeration value="string"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContent()`
  Gets the value of the content property.
  `BigInteger`
  `getN()`
  Gets the value of the n property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setContent(String value)`
  Sets the value of the content property.
  `void`
  `setN(BigInteger value)`
  Sets the value of the n property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayType

    public ArrayType()

- ## Method Details

  - ### getContent

    public String getContent()
    Gets the value of the content property.
    Returns:
      possible object is `String`

  - ### setContent

    public void setContent(String value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `String`

  - ### getN

    public BigInteger getN()
    Gets the value of the n property.
    Returns:
      possible object is `BigInteger`

  - ### setN

    public void setN(BigInteger value)
    Sets the value of the n property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`